.. _mmctl_user:

mmctl user
----------

Management of users

Synopsis
~~~~~~~~


Management of users

Options
~~~~~~~

::

  -h, --help   help for user

Options inherited from parent commands
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

::

      --config string                path to the configuration file (default "$XDG_CONFIG_HOME/mmctl/config")
      --disable-pager                disables paged output
      --insecure-sha1-intermediate   allows to use insecure TLS protocols, such as SHA-1
      --insecure-tls-version         allows to use TLS versions 1.0 and 1.1
      --json                         the output format will be in json format
      --local                        allows communicating with the server through a unix socket
      --quiet                        prevent mmctl to generate output for the commands
      --strict                       will only run commands if the mmctl version matches the server one
      --suppress-warnings            disables printing warning messages

SEE ALSO
~~~~~~~~

* `mmctl <mmctl.rst>`_ 	 - Remote client for the Open Source, self-hosted Slack-alternative
* `mmctl user activate <mmctl_user_activate.rst>`_ 	 - Activate users
* `mmctl user change-password <mmctl_user_change-password.rst>`_ 	 - Changes a user's password
* `mmctl user convert <mmctl_user_convert.rst>`_ 	 - Convert users to bots, or a bot to a user
* `mmctl user create <mmctl_user_create.rst>`_ 	 - Create a user
* `mmctl user deactivate <mmctl_user_deactivate.rst>`_ 	 - Deactivate users
* `mmctl user delete <mmctl_user_delete.rst>`_ 	 - Delete users
* `mmctl user deleteall <mmctl_user_deleteall.rst>`_ 	 - Delete all users and all posts. Local command only.
* `mmctl user demote <mmctl_user_demote.rst>`_ 	 - Demote users to guests
* `mmctl user email <mmctl_user_email.rst>`_ 	 - Change email of the user
* `mmctl user invite <mmctl_user_invite.rst>`_ 	 - Send user an email invite to a team.
* `mmctl user list <mmctl_user_list.rst>`_ 	 - List users
* `mmctl user migrate-auth <mmctl_user_migrate-auth.rst>`_ 	 - Mass migrate user accounts authentication type
* `mmctl user preference <mmctl_user_preference.rst>`_ 	 - Manage user preferences
* `mmctl user promote <mmctl_user_promote.rst>`_ 	 - Promote guests to users
* `mmctl user reset-password <mmctl_user_reset-password.rst>`_ 	 - Send users an email to reset their password
* `mmctl user resetmfa <mmctl_user_resetmfa.rst>`_ 	 - Turn off MFA
* `mmctl user search <mmctl_user_search.rst>`_ 	 - Search for users
* `mmctl user username <mmctl_user_username.rst>`_ 	 - Change username of the user
* `mmctl user verify <mmctl_user_verify.rst>`_ 	 - Mark user's email as verified

